(function( sg ){



// ejemplo de prueba	
sg.addCustomTag({
	name: "sg-test",
	tagInit: function( element ){
		var texto = $(element).text();
		var html;
		html = '<p>'+texto+'</p>';
		$(element).html(html);
	}
});
//fin ejemplo de prueba

// sg-number - ATRIBUTO PARA INPUTS SOLO NUMERICOS

sg.addCustomAttr({
	applyAll: true,
	name: "sg-number",
	init: function( element, attrValue ){
		$( element ).keydown(function(e){
			if(e.keyCode == 8){

			}else if(e.keyCode==13){

			}else if((e.keyCode<48 || e.keyCode>57)^(e.keyCode<96 || e.keyCode>105)){

			}else{
				e.preventDefault() ;
			}
		});
	},	
});

// FINALIZA sg-numer

// sg-texto - ATRIBUTO PARA INPUTS SOLO TEXTO

sg.addCustomAttr({
	applyAll: true,
	name: "sg-texto",
	init: function( element, attrValue ){
		$( element ).keydown(function(e){
			if(e.keyCode == 8){

			}else if(e.keyCode==13){

			}else if((e.keyCode<48 || e.keyCode>57) && (e.keyCode<96 || e.keyCode>105)){

			}else{
				e.preventDefault() ;
			}
		});
	},	
});

// FINALIZA sg-texto


// sg-titulos - ATRIBUTO PARA AJUSTES DE TITULOS
sg.addCustomAttr({
	applyAll: true,
	name: "sg-titulos",
	init: function( element, attrValue ){
		$(element).css({'line-height': '62px',
			'font-size':'3.5em',
			'margin-top':'-40px' });
	},	
});
// FINALIZA sg-titulos

// sg-caption - CREDITOS EN LAS IMAGES // NOTA si la imgen es un drag dejar sg-draggable="true"
sg.addCustomAttr({
	applyAll: true,
	name: "sg-caption",
	init: function( element, attrValue ){
		var nuevoElement = $(element).clone();
		var ubicacion = $(element).attr('data-sg-caption-top'); 
		$(element).before('<div class="caption" title="'+attrValue+'"></div>');
		if($(element).attr('data-sg-draggable')=='true'){
			var revert = $(element).attr('data-sg-revert');
			var dropselector = $(element).attr('data-sg-drop-selector');
			$(element).prev($(element).contents()).attr({
				'data-sg-draggable': 'true',
				'data-sg-revert': revert,
				'data-sg-drop-selector' : dropselector
			});

			nuevoElement.removeAttr('data-sg-draggable');
		}
		$(element).prev().append(nuevoElement);
		if(ubicacion == 'true'){
			$(element).prev().addClass('posi');
		}
		$(element).remove();
	},	
});
// FINALIZA sg-caption

// FUNCION POP PARA SOLO MENSAJES
sg.extend({
	PopPupMensaje: function(mensaje, ColorB, ancho, alto){
		if(ColorB==undefined){
			ColorB = 'green';
		}
		if(ancho == undefined ){
			ancho = 400;
		}
		if(alto == undefined){
			alto = 150; 
		}
		var contepop = document.createElement('div');
		contepop.setAttribute("class", "contepopM");
		var contepup = document.createElement('div');
		contepup.setAttribute("class", "contepupM");
		$('.ggb_contenidoInterno').append(contepop);
		$('.contepopM').css({
			'position': 'fixed',
			'top': '-1000px',
			'left' : '-800px',
			'width' : '350%',
			'height' : '380%',
			'z-index' : '400',
			'background' : 'rgba(0, 0, 0, 0.3)',
			'display' : 'block'
		});
		$('.ggb_contenidoInterno').append(contepup);
		$('.contepupM').css({
			'position': 'fixed',
			'top': '50%',
			'left' : '50%',
			'width' : ancho,
			'height' : alto,
			'margin-left' : -(ancho/2)+'px',
			'margin-top' : -(alto/2)+'px',
			'z-index' : '500',
			'background' : '#EDCCA8',
			'border' : '3px solid',
			'border-color': ColorB,
			'text-align' : 'center',
			'display' : 'block'
		});
		html = '<div>';
		html +='</div>';
		$('.contepupM').html(mensaje);
	}
});

// FIN FUNCION POP SOLO MENSAJES

sg.addCustomTag({
	name: "sg-conte-pop",
	attr: ["sg-pup"],
	tagInit: function( element ){
		var contepop = document.createElement('div');
		contepop.setAttribute("class", "contepop");
		var contepup = document.createElement('div');
		contepup.setAttribute("class", "contepup");
		$(element).css('display', 'inline-block');
		cualpop = $(element).attr('data-sg-pup');
		contepop.setAttribute("key", cualpop);
		contepup.setAttribute("key", cualpop);
		$('.ggb_contenidoInterno').append(contepop);
		$('.contepop').css({
			'display' : 'none',
			'position' : 'fixed',
			'top': '-1000px',
			'left' : '-800px',
			'width' : '350%',
			'height' : '380%',
			'z-index' : '400',
			'background' : 'rgba(0, 0, 0, 0.3)',
		});
		$('.contepop[key='+cualpop+']').append(contepup);
		$('.contepup[key='+cualpop+']').append($(element).contents());
		var alto=$(element).height();
		var ancho= $(element).width();
		$('.contepup').css({
			'position' : 'fixed',
			'display' : 'none',
			'top': '50%',
			'left' : '50%',
			'z-index' : '500',
		});
		$(element).css('display','none');
	}
});

	sg.extend({
	abrirPop: function(target){
			$('.contepop[key='+target+']').css('display','block');
			$('.contepup[key='+target+']').css('display','block');
			var ancho = $('.contepup[key='+target+']').width();
			var alto = $('.contepup[key='+target+']').height();
			$('.contepup[key='+target+']').css({
				'margin-left' : -(ancho/2)+'px',
				'margin-top' : -(alto/2)+'px',
			})
		}
	});

	sg.extend({
	cerrarPop: function(target){
			$('.contepop[key='+target+']').css('display','none');
			$('.contepup[key='+target+']').css('display','none');
		}
	});


})( sg )